#ifndef __libbcalloc_h__
#define __libbcalloc_h__

#ifndef __stdlib_h__
#include <stdlib.h>
#ifndef __stdlib_h__
#define __stdlib_h__
#endif
#endif

#ifdef __LIBC__

#ifndef __errno_h__
#include <errno.h>
#endif

#define libbc_calloc calloc
#define libbc_free free
#define libbc_malloc malloc
#define libbc_realloc realloc

#else

#ifndef __error_h__
#include <error.h>
#ifndef __error_h__	/* smc܂B */
#define __error_h__
#endif
#endif

extern int libbc_calloc(int,int);
extern void libbc_free(int);
extern int libbc_malloc(int);
extern int libbc_realloc(int,int);

#endif

#endif
